Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0039415
TypeCategorySeverityReproducibilityDate SubmittedLast Update
defect[Openbravo ERP] 07. Sales managementmajoralways2018-10-05 12:062018-12-11 20:22
ReporterngarciaView Statuspublic 
Assigned ToAtulOpenbravo 
PriorityurgentResolutionfixedFixed in Version3.0PR19Q1
StatusclosedFix in branchFixed in SCM revision649b56723e39
ProjectionnoneETAnoneTarget Version
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionSCM revision 
Review Assigned ToSandrahuguet
Web browser
ModulesAdvanced Payables and Receivables Mngmt
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0039415: Payment Plan should not be removed from a sales invoice of 0 that includes a prepaid order

DescriptionPayment Plan should not be removed from a sales invoice of 0 that includes a prepaid order
Steps To ReproduceAs group admin role:
   Create a sales order, set it's Invoice Terms as Immediate, add a product to it, book it and add payment
   Create a sales invoice header
   Add the previously created order
   Add a new line with the same product as the previous line and set the same quantity but negative (in order to get an invoice of 0 amount)
   Check you cannot pay the pending amount against the invoice and if you post the invoice the difference will be posted to Customer Receivables account and it will never be balanced
TagsNo tags attached.
Attached Files

- Relationships Relation Graph ] Dependency Graph ]
related to defect 0038769 closedAtulOpenbravo "Suspense balancing" account used when invoice's total is zero and negative prepayment exists 

-  Notes
(0107771)
AtulOpenbravo (developer)
2018-11-07 06:06

Test Plan

- Login as F&B International Group admin role.
- Create a sales order in F&B US Inc, set it's Invoice Terms as Immediate, add a product to it, book it and add partial payment to it.
Business Partner = Heathly Food Supermarket, Product = Cherry Cola, Quantity = 100, Unit Price = 1, Tax = Exempt, Grand Total = 100. Add payment against order with amount 30.
- Post the payment, posting is as below
Bank Account Debit 30
Customer Prepayments Credit 30

- Create a sales invoice header with same business partner.
- Add the previously created order.
- Add a new line with the same product as the previous line and set the same quantity but negative (in order to get an invoice of 0 amount)
- Process Invoice and Post it.
- Posting is as below:-

Revenue - Product Debit 100.00
Customer Prepayments Debit 30.00
Revenue - Product Credit 100.00
Accounts Receivable Credit 30.00

- Using Add Payment button make a payment against the Sales Invoice, it will have a negative value = -30.
- Post the Payment. Posting is as below:
Account Receivable Debit 30.
Bank Account Credit 30.
(0107772)
AtulOpenbravo (developer)
2018-11-07 06:25

Test Plan

- Login as F&B International Group admin role.
- Create a purchase order in F&B US Inc, add a product to it, book it and add partial payment to it.
Business Partner = Be Soft Drinker, Inc., Product = Cherry Cola, Quantity = 100, Unit Price = 1, Tax = Exempt, Grand Total = 100. Add payment against order with amount 40.
- Post the payment, posting is as below
Vendor Prepayment Debit 40
Bank Account 40

- Create a purchase invoice header with same business partner.
- Add the previously created order.
- Add a new line with the same product as the previous line and set the same quantity but negative (in order to get an invoice of 0 amount)
- Process Invoice and Post it.
- Posting is as below:-

Product Expense Debit 100.00
Account Payable Debit 40.00
Product Expense Credit 100.00
Vendor Prepayment Credit 40.00

- Using Add Payment button make a payment against the Purchase Invoice, it will have a negative value = -40.
- Post the Payment. Posting is as below:
Bank Account Debit 40.00
Account Payable Credit 40.00
(0107863)
hgbot (developer)
2018-11-12 17:45

Repository: erp/devel/pi
Changeset: 649b56723e39ce0611d1bb54cf8f66435a5d7479
Author: Atul Gaware <atul.gaware <at> openbravo.com>
Date: Wed Nov 07 07:45:34 2018 +0530
URL: http://code.openbravo.com/erp/devel/pi/rev/649b56723e39ce0611d1bb54cf8f66435a5d7479 [^]

Fixes Issue 39415:Payment Plan should not be removed
from a invoice of 0 that includes a prepaid order

** When invoice has grandtotal zero and has prepayment
linked with its associated order then consider this
criteria for creating schedule & its details for
such invoices.
** Handle divide by zero in FIN_AddPayment.java

---
M modules/org.openbravo.advpaymentmngt/src-db/database/model/functions/APRM_GEN_PAYMENTSCHEDULE_INV.xml
M modules/org.openbravo.advpaymentmngt/src/org/openbravo/advpaymentmngt/process/FIN_AddPayment.java
---
(0107864)
hgbot (developer)
2018-11-12 17:45

Repository: erp/devel/pi
Changeset: 03d8fd2a8cca4ac087c16ff5ed34de6fe5f3ea15
Author: Sandra Huguet <sandra.huguet <at> openbravo.com>
Date: Mon Nov 12 13:00:12 2018 +0100
URL: http://code.openbravo.com/erp/devel/pi/rev/03d8fd2a8cca4ac087c16ff5ed34de6fe5f3ea15 [^]

related to issue 39415 prepaymentamt is wrong calculated
prepayment amout is wrong calculated when two order lines
are added in to the invoice.

---
M src-db/database/model/functions/C_INVOICE_POST.xml
---
(0107865)
Sandrahuguet (developer)
2018-11-12 17:45

Code review + testing OK
(0108460)
hudsonbot (developer)
2018-12-11 20:22

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/470e3cd384c5 [^]
Maturity status: Test
(0108461)
hudsonbot (developer)
2018-12-11 20:22

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/470e3cd384c5 [^]
Maturity status: Test

- Issue History
Date Modified Username Field Change
2018-10-05 12:06 ngarcia New Issue
2018-10-05 12:06 ngarcia Assigned To => Triage Finance
2018-10-05 12:06 ngarcia Modules => Advanced Payables and Receivables Mngmt
2018-10-05 12:06 ngarcia Triggers an Emergency Pack => No
2018-10-05 12:06 ngarcia Issue Monitored: networkb
2018-10-05 12:08 ngarcia Relationship added related to 0038769
2018-10-05 15:24 Sandrahuguet Assigned To Triage Finance => markmm82
2018-10-08 10:55 Sandrahuguet Assigned To markmm82 => AtulOpenbravo
2018-10-09 05:39 AtulOpenbravo Status new => scheduled
2018-10-09 12:41 Sandrahuguet Steps to Reproduce Updated View Revisions
2018-10-09 12:44 Sandrahuguet Category Z. Others => 07. Sales management
2018-11-07 06:06 AtulOpenbravo Note Added: 0107771
2018-11-07 06:25 AtulOpenbravo Note Added: 0107772
2018-11-12 17:45 hgbot Checkin
2018-11-12 17:45 hgbot Note Added: 0107863
2018-11-12 17:45 hgbot Status scheduled => resolved
2018-11-12 17:45 hgbot Resolution open => fixed
2018-11-12 17:45 hgbot Fixed in SCM revision => http://code.openbravo.com/erp/devel/pi/rev/649b56723e39ce0611d1bb54cf8f66435a5d7479 [^]
2018-11-12 17:45 hgbot Checkin
2018-11-12 17:45 hgbot Note Added: 0107864
2018-11-12 17:45 Sandrahuguet Review Assigned To => Sandrahuguet
2018-11-12 17:45 Sandrahuguet Note Added: 0107865
2018-11-12 17:45 Sandrahuguet Status resolved => closed
2018-11-12 17:45 Sandrahuguet Fixed in Version => 3.0PR19Q1
2018-12-11 20:22 hudsonbot Checkin
2018-12-11 20:22 hudsonbot Note Added: 0108460
2018-12-11 20:22 hudsonbot Checkin
2018-12-11 20:22 hudsonbot Note Added: 0108461


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker